body {
    margin: 0;
}

section {
    margin-bottom: 3rem;
}

form label {
    font-weight: bold;
}

/* Typography */
.fs-1 {
    font-size: calc(1.375rem + 1.5vw) !important;
}
.fs-2 {
    font-size: calc(1.325rem + .9vw) !important;
}
.fs-3 {
    font-size: 1.75rem !important;
}
.fs-4 {
    font-size: 1.5rem !important;
}
.fs-5 {
    font-size: 1.25rem !important;
}
.fs-6 {
    font-size: 1rem !important;
}
@media (min-width: 1200px) {
    .fs-1 {
        font-size: 2.5rem !important;
    }
    .fs-2 {
        font-size: 2rem !important;
    }
    .fs-3 {
        font-size: 1.75rem !important;
    }
    .fs-4 {
        font-size: 1.5rem !important;
    }
    .fs-5 {
        font-size: 1.25rem !important;
    }
}

/* Material Icons */
.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;  /* Preferred icon size */
    display: inline-block;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;
    vertical-align: text-top;

    /* Support for all WebKit browsers. */
    -webkit-font-smoothing: antialiased;
    /* Support for Safari and Chrome. */
    text-rendering: optimizeLegibility;

    /* Support for Firefox. */
    -moz-osx-font-smoothing: grayscale;

    /* Support for IE. */
    font-feature-settings: 'liga';
}

.material-icons.md-18 { font-size: 18px !important; }
.material-icons.md-24 { font-size: 24px !important; }
.material-icons.md-36 { font-size: 36px !important; }
.material-icons.md-48 { font-size: 48px !important; }
.material-icons.md-60 { font-size: 60px !important; }

/* Colors */
.bg-primary {
    background-color: #0081c6 !important;
}

/* Shadows */
.shadow-none {
    box-shadow: none !important;
}
.shadow-sm {
    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075) !important;
}
.shadow {
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.15) !important;
}
.shadow-lg {
    box-shadow: 0 1rem 3rem rgba(0,0,0,.175) !important;
}

.text-shadow-white {
    text-shadow: 2px 2px #FFF;
}

.text-shadow-black {
    text-shadow: 2px 2px #000;
}

/* List Groups */
.list-group a {
    color: #333;
}

/* Search Bar */
.website-search * {
    border: none;
    color: #333 !important;
}
.website-search .input-group-prepend .btn, .website-search .input-group-append .btn {
    background-color: #fff;
}
.website-search .input-group-prepend .input-group-text, .website-search .input-group-append .input-group-text {
    background-color: #fff;
}
.website-search .query:focus {box-shadow: none;}
.website-search .input-group {
    border: 1px solid transparent;
}
.website-search .input-group.active {
    border: 1px solid #80bdff;
    border-radius: 0.25rem;
    box-shadow: 0 0 0 0.2rem rgba(255,255,255,.5);
}
.website-search .search-loader {
    width: 24px;
    -moz-opacity: 0;
    opacity: 0;
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
}
.website-search .search-loader.active, .website-search .clear.active {
    -moz-opacity: 1;
    opacity: 1;
}
.website-search .clear {
    -moz-opacity: 0;
    opacity: 0;
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
}
ul.ui-autocomplete {
    position: fixed;
    z-index: 9999 !important;
    margin: 0;
    padding: 0;
    border-radius: 0.25rem;
    border: 1px solid #ddd;
    background: #fff;
    box-shadow: 0 0.25rem 0.5rem rgba(0,0,0, 0.05);
}
ul.ui-autocomplete li {
    list-style-type: none;
}
ul.ui-autocomplete li.ui-state-focus {

    background: #ccebff;
}
ul.ui-autocomplete a {
    color: #333;
}

    /* Hero */
.hero {
    position: relative;
    width: 100%;
    margin-bottom: 3rem;
    background: #fff;
    text-align: center;
    overflow: hidden;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

.hero.transparent-background {
    background: transparent;
}
.hero img {
    width: 100%;
    -webkit-transition: all 1s;
    transition: all 1s;
}
.hero .content {

}
.hero .breadcrumbs {
    font-size: 1rem;
    margin: 1rem;
    text-transform: uppercase;
    text-align: right;
}
.hero a {
    color: #333;
}
.hero .breadcrumbs .current {
    color: #000;
    font-weight: bold;
}
.hero .content h1 {
    margin: 4rem 0;
}
.hero .text {
    position: absolute;
    /*width: 40%;*/
    /*top: 50%;*/
    /*transform: translateY(-50%);*/
    /*left: 5%;*/
    text-align: center;
    font-size: 1.5rem;


    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}
    
.margin-top-nav {
    margin-top:107px;
}

/* Bands */
.band {
    background: #f2f2f2;
    padding: 3rem 0;
}

/* Categories buttons */
.categories a {
    display: block;
    text-decoration: none;
    text-align: center;
    text-transform: uppercase;
    border-top: 1px solid #eee;
    border-bottom: 1px solid #eee;
    color: #333;
    padding: 0.5rem 0;
    -webkit-transition: background 0.25s, border 0.25s, color 0.25s;
    transition: background 0.25s, border 0.25s, color 0.25s;
    margin-bottom: 1rem;
}
.categories a:hover {
    background: #f2f2f2;
    border-top: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    color: #0081c6;
}

.featured {
    position: relative;
    display: flex;
    align-items: center;
    align-content: center;
    color: #000;
    overflow: hidden;
    border: 1px solid #ddd;
    border-radius: 0.25rem;
}
.featured img {
    width: 100%;
}
.featured .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.7);
    -webkit-transition: background 0.25s;
    transition: background 0.25s;
}
.featured h4 {
    width: 90%;
    margin: 0 5%;
    padding: 0.25rem;
    position: absolute;
    font-size: 1.25rem;
    text-align: center;
    border-top: 1px solid #000;
    border-bottom: 1px solid #000;
    -webkit-transition: all 0.25s;
    transition: all 0.25s;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
}


.featured:hover .overlay {
    background: rgba(255,255,255,0.85);
}
.featured:hover h4 {
    color: #0081c6;
    border-top: 1px solid #0081c6;
    border-bottom: 1px solid #0081c6;
}

/* Category filters */
.filterTitle {
    font-size: 1.25rem;
    font-weight: bold;
    text-transform: uppercase;
    border-top: 3px solid #0081c6;
}
.filterContents {
    margin-bottom: 1.5rem;
}

.section-title {
    text-transform: uppercase;
    border-top: 3px solid #0081c6;
}

/* Floating bottom right container that appears on every page. */
#floatBottomRight {
    display: flex;
    align-items: end;
    flex-direction: row;
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 9999;
}

#chatButton {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

/* Back to top */
.back-to-top {
    cursor: pointer;
    display: none;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}
.back-to-top img {
    width: 48px;
}

/* Products */
.table-pricing {
    font-size: 1.25rem;
}
.table-pricing td, .table-pricing thead th {
    border-color: #ddd;
}

.prod-cat-wrap {
    white-space: nowrap;
}

.product-gallery {
    /*border: 1px solid #ddd;*/
    border-radius: 5px;
    overflow: hidden;
    background: #fff;
}

.carousel .carousel-inner {
    text-align: center;
    display: flex;
    align-items: center;
}
.carousel.product .carousel-control-next-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E");
}

.carousel.product .carousel-control-prev-icon {
background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E");
}

.carousel-indicators li {
    width: 1rem;
    height: 1rem;
    border-radius: 100%;
    background: none;
    border: 1px solid #ddd;
    opacity: 1;
}

.carousel-indicators li.active {
    background: #ddd;
}

.carousel-indicators.inverted li {
    border: 1px solid #fff;
}

.carousel-indicators.inverted li.active {
    background: #fff;
}

.carousel.product .carousel-indicators {
    display: none;
}
.carousel.product .carousel-indicators li {
    background-color: rgba(0,0,0,0.5);
}
.carousel.product .carousel-indicators li.active {
    background-color: rgba(0,0,0,0.9);
}

.carousel-fade .carousel-inner .carousel-item {
    -webkit-transition-property: opacity;
    transition-property: opacity;

}
.carousel-fade .carousel-inner .carousel-item,
.carousel-fade .carousel-inner .active.left,
.carousel-fade .carousel-inner .active.right {
    opacity: .5;    
}

.carousel-fade .carousel-inner .active {
    left:0px !important;
}
.carousel-fade .carousel-inner .active,
.carousel-fade .carousel-inner .next.left,
.carousel-fade .carousel-inner .prev.right {
    opacity: 1;
}
.carousel-fade .carousel-inner .next,
.carousel-fade .carousel-inner .prev,
.carousel-fade .carousel-inner .active.left,
.carousel-fade .carousel-inner .active.right {
    left: 0;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}
.carousel-fade .carousel-control {
    z-index: 2;
}

.carousel-item .zoom-viewport > img {
    max-width:400px;
    width:100%;
}

.product-thumbnails {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 0.5rem;
    justify-content: center;
    align-items: start;
}
.product-thumbnails a {
    cursor: pointer;
    text-decoration: none;
    flex-shrink: 0;
}
.product-thumbnails .color {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
    justify-content: start;
    align-items: center;
}
.product-thumbnails .color img {
    width: 100%;
    max-width: 50px;
    max-height: 50px;
    border: 1px solid #ddd;
    border-radius: 100%;
    box-shadow: 0 0.25rem 0.75rem rgba(0,0,0,0.1);
    /*cursor: pointer;*/
}

.product-gallery .fade {
    opacity: 1 !important;
}

.product-gallery {
    min-height:400px;
}
.attribute-legend > * {
    display: inline-block;
}
.attribute-legend > a {
    width: 5rem;
    height: 5rem;
    background: #fff;
}

/* Search List page */
#filterTopToggle {
    cursor: pointer;
}

.form-check-label {
    padding-left:0px;
}

.form-check {
    padding-left:1.25rem;
}

.color-options {
    height: 7em;
    line-height: 1;
    overflow: hidden;
}

.product-title {
    height: 2.2em;
    line-height: 1.1;
    overflow: hidden;
}

/* Pagination */
.pagination li:first-child a {
    margin-left: 0;
    border-top-left-radius: .25rem;
    border-bottom-left-radius: .25rem;
}

.pagination li a {
    position: relative;
    display: block;
    padding: .5rem .75rem;
    margin-left: -1px;
    line-height: 1.25;
    color: #007bff;
    background-color: #fff;
    border: 1px solid #ddd;
}

.pagination li:last-child a {
    border-top-right-radius: .25rem;
    border-bottom-right-radius: .25rem;
}

.pagination li.active a {
    z-index: 2;
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

.pagination li a .material-icons {
    font-size: 20px;
}

.band {
    background-color: #f2f2f2;
    padding: 3rem 0;
}

ul.nav .nav-item {
    flex: 1;
    white-space: nowrap;
    text-align: center;
}
ul.nav .nav-link {
    text-transform: uppercase;
    font-weight: 400;
    padding: 0.5rem 1.25rem;
    cursor: pointer;
    color: #777;
    border-bottom: 1px solid #ddd;
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
}

ul.nav .nav-link.active {
    color: #0081c6;
    border-bottom: 1px solid #0081c6;
}
ul.nav .nav-link .down {
    visibility: hidden;
}
ul.nav .nav-link.active .down {
    visibility: visible;
}

#tab-content > div{
    display: none;
}
#tab-content > div.active {
    display: block;
}

.section-heading {
    color: #0081c6;
    border-bottom: 1px solid #0081c6;
}

/* Scroll to Target Highlighting */
.target {
    transition: background-color 1s ease-out;
}
.target.active {
    background-color: #ffb;
    transition: background-color 0.25s ease-in;
}

/* Cookie Disclaimer */
#cookie-disclaimer {
    align-items: center;
    bottom: 0;
    color: #fff;
    display: flex;
    justify-content: center;
    padding: 1rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

/* Video Iframe */
.video-iframe {
    position: relative;
    padding-bottom: 56.25%;
}
.video-iframe iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.video-iframe.carousel-slide {
    padding-bottom: 39.45%;
}
.video-iframe.carousel-slide iframe {
    width: 70%;
    margin: 0 15%;
}

/* Loader */
.loader {
    width: 2rem;
}

.loader35, .loader100 {
    border: 0.5rem solid #f3f3f3; /* Light grey */
    border-top: 0.5rem solid #3498db; /* Blue */
    border-radius: 50%;
    width:35px;
    height: 35px;
    animation: spin 2s linear infinite;
}

.loader35 {
    border: 0.25rem solid #f3f3f3; /* Light grey */
    border-top: 0.25rem solid #3498db; /* Blue */
}

.loader100 {
    width:100px;
    height:100px;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

 .loading-placeholder {
     background: #f3f3f3; /* Old browsers */
     background: -moz-linear-gradient(left, #f3f3f3 0%, #f9f9f9 50%, #f3f3f3 100%);
     background: -webkit-linear-gradient(left, #f3f3f3 0%,#f9f9f9 50%,#f3f3f3 100%);
     background: linear-gradient(to right, #f3f3f3 0%,#f9f9f9 50%,#f3f3f3 100%);
     background-size: 200% 100%;
     background-position: 0% 0%;
     animation: pulse ease 2s infinite;
     min-height: 1em;
     border-radius: 0.25rem;
 }

@keyframes pulse {
    0% {
        background-position: 100% 0%;
    }
    100% {
        background-position: -300% 0%;
    }
}

/* Media Queries */

@media (min-width: 768px) {
    .modal-xl {
        width: 90%;
        max-width:1200px;
    }
}

@media (min-width: 1600px) {
    .modal-xl {
        max-width: 1500px;
    }
}

@media (max-width: 1400px) {
    .hero .text {
        font-size: 1rem;
    }

    .hero .text h1 {
        font-size: 2rem;
    }

    .featured .title {
        font-size: 1rem;
    }
}

@media (max-width: 1000px) {
    .hero .text {
        font-size: 1rem;
    }

    .hero .text h1 {
        font-size: 1.5rem;
        margin-bottom: 0;
    }

    .hero .text .btn {margin-bottom: 0.5rem}

    .ui-autocomplete.search-bar { font-size: 1rem;}
}

@media (max-width: 991px) {
    .hero {
       /* margin-top: 107px;*/
    }
}

@media (max-width: 767px) {
    .hero .container {
        padding: 0 !important;
    }
    .hero img {
        opacity: 0.3;
        -webkit-filter: blur(0.25rem);
        filter: blur(0.25rem);
    }

    .featured .title {
        font-size: 1.25rem;
    }


}

@media (max-width: 576px) {
    .hero {
        margin-top: 161px;
    }
}

@media (max-width: 480px) {
    .hero .text h1 {
        font-size: 1rem;
    }
    .hero .text {
        font-size: 0.85rem;
    }
    .hero .text .btn {font-size: 0.85rem;}

    .prod-cat-wrap {
        white-space: normal !important;
    }
}

@media (min-width: 1200px){
    .productItemContainer .col-xl-3{
        max-width: 20% !important;
    }
}